---
title: 307 Temporary Redirect
slug: Web/HTTP/Status/307
tags:
  - HTTP
  - HTTP Status Code
  - Reference
  - redirects
---
<div>{{HTTPSidebar}}</div>

<p>{{Glossary("HTTP")}} <code><strong>307 Temporary Redirect</strong></code> redirect status response code indicates that the resource requested has been temporarily moved to the URL given by the {{HTTPHeader("Location")}} headers.</p>

<p>The method and the body of the original request are reused to perform the redirected request. In the cases where you want the method used to be changed to {{HTTPMethod("GET")}}, use {{HTTPStatus("303", "303 See Other")}} instead. This is useful when you want to give an answer to a {{HTTPMethod("PUT")}} method that is not the uploaded resources, but a confirmation message (like "You successfully uploaded XYZ").</p>

<p>The only difference between <code>307</code> and {{HTTPStatus("302")}} is that <code>307</code> guarantees that the method and the body will not be changed when the redirected request is made. With <code>302</code>, some old clients were incorrectly changing the method to {{HTTPMethod("GET")}}: the behavior with non-<code>GET</code> methods and <code>302</code> is then unpredictable on the Web, whereas the behavior with <code>307</code> is predictable. For <code>GET</code> requests, their behavior is identical.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox">307 Temporary Redirect
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("7231", "307 Temporary Redirect" , "6.4.7")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.status.307")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPStatus("302", "302 Found")}}, the equivalent of this status code, but that may change the method used when it is not a {{HTTPMethod("GET")}}.</li>
 <li>{{HTTPStatus("303", "303 See Other")}}, a temporary redirect that changes the method used to {{HTTPMethod("GET")}}.</li>
 <li>{{HTTPStatus("301", "301 Moved Permanently")}}, a permanent redirect</li>
</ul>
